GNU bug report logs - #33312
Guix: many tests fail when building on 0.15

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: swedebugia <swedebugia@HIDDEN>; Keywords: moreinfo; dated Thu, 8 Nov 2018 10:23:01 UTC; Maintainer for guix is bug-guix@HIDDEN.
Added tag(s) moreinfo. Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.

Message received at 33312 <at> debbugs.gnu.org:


Received: (at 33312) by debbugs.gnu.org; 14 Nov 2018 10:15:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 14 05:15:26 2018
Received: from localhost ([127.0.0.1]:50987 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gMsCj-0003W0-Pr
	for submit <at> debbugs.gnu.org; Wed, 14 Nov 2018 05:15:26 -0500
Received: from eggs.gnu.org ([208.118.235.92]:41901)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1gMsCi-0003Vk-85
 for 33312 <at> debbugs.gnu.org; Wed, 14 Nov 2018 05:15:24 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1gMsCb-0001BL-6F
 for 33312 <at> debbugs.gnu.org; Wed, 14 Nov 2018 05:15:19 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:33106)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1gMsCZ-0001AI-EB; Wed, 14 Nov 2018 05:15:17 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=54126 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1gMsCY-00052T-92; Wed, 14 Nov 2018 05:15:15 -0500
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: swedebugia <swedebugia@HIDDEN>
Subject: Re: bug#33312: Guix: many tests fail when building on 0.15
References: <75956247-307c-1594-4589-f5685619a4eb@HIDDEN>
 <87ftw7sitl.fsf@HIDDEN>
 <d5559178-49f8-9e2d-b993-cb42ffe76721@HIDDEN>
 <87k1liofcr.fsf@HIDDEN>
Date: Wed, 14 Nov 2018 11:15:13 +0100
In-Reply-To: <87k1liofcr.fsf@HIDDEN> ("Ludovic
 \=\?utf-8\?Q\?Court\=C3\=A8s\=22'\?\=
 \=\?utf-8\?Q\?s\?\= message of "Mon, 12 Nov 2018 09:43:48 +0100")
Message-ID: <87wopgj77y.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33312
Cc: 33312 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Ping!  :-)

ludo@HIDDEN (Ludovic Court=C3=A8s) skribis:

> swedebugia <swedebugia@HIDDEN> skribis:
>
>> On 2018-11-11 17:03, Ludovic Court=C3=A8s wrote:
>>> Hello,
>>>
>>> swedebugia <swedebugia@HIDDEN> skribis:
>>>
>>>> running make check I got a lot of failed tests and no testlog:
>>>
>>> Could you send =E2=80=98test-suite.log=E2=80=99 as noted in
>>> <https://gnu.org/software/guix/manual/en/html_node/Running-the-Test-Sui=
te.html>?
>>>
>>> TIA,
>>> Ludo=E2=80=99.
>>>
>> It is not found. Not generated.
>> Dunno why.
>> I run "make check" and it only gave me what I already sent.
>
> Weird.  Is =E2=80=98test-suite.log=E2=80=99 generated if you let =E2=80=
=9Cmake check=E2=80=9D run to
> completion?
>
> Thank you,
> Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#33312; Package guix. Full text available.

Message received at 33312 <at> debbugs.gnu.org:


Received: (at 33312) by debbugs.gnu.org; 12 Nov 2018 08:44:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 12 03:44:05 2018
Received: from localhost ([127.0.0.1]:47063 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gM7pF-0000fi-AY
	for submit <at> debbugs.gnu.org; Mon, 12 Nov 2018 03:44:05 -0500
Received: from eggs.gnu.org ([208.118.235.92]:41642)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1gM7pE-0000f8-3T
 for 33312 <at> debbugs.gnu.org; Mon, 12 Nov 2018 03:44:04 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1gM7p3-0008JZ-9i
 for 33312 <at> debbugs.gnu.org; Mon, 12 Nov 2018 03:43:58 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:37074)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1gM7p3-0008JT-3j; Mon, 12 Nov 2018 03:43:53 -0500
Received: from lmontsouris-657-1-79-192.w80-15.abo.wanadoo.fr
 ([80.15.128.192]:39568 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1gM7p1-0005xj-A9; Mon, 12 Nov 2018 03:43:52 -0500
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: swedebugia <swedebugia@HIDDEN>
Subject: Re: bug#33312: Guix: many tests fail when building on 0.15
References: <75956247-307c-1594-4589-f5685619a4eb@HIDDEN>
 <87ftw7sitl.fsf@HIDDEN>
 <d5559178-49f8-9e2d-b993-cb42ffe76721@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 22 Brumaire an 227 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Mon, 12 Nov 2018 09:43:48 +0100
In-Reply-To: <d5559178-49f8-9e2d-b993-cb42ffe76721@HIDDEN> (swedebugia's
 message of "Sun, 11 Nov 2018 21:00:06 +0100")
Message-ID: <87k1liofcr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33312
Cc: 33312 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

swedebugia <swedebugia@HIDDEN> skribis:

> On 2018-11-11 17:03, Ludovic Court=C3=A8s wrote:
>> Hello,
>>
>> swedebugia <swedebugia@HIDDEN> skribis:
>>
>>> running make check I got a lot of failed tests and no testlog:
>>
>> Could you send =E2=80=98test-suite.log=E2=80=99 as noted in
>> <https://gnu.org/software/guix/manual/en/html_node/Running-the-Test-Suit=
e.html>?
>>
>> TIA,
>> Ludo=E2=80=99.
>>
> It is not found. Not generated.
> Dunno why.
> I run "make check" and it only gave me what I already sent.

Weird.  Is =E2=80=98test-suite.log=E2=80=99 generated if you let =E2=80=9Cm=
ake check=E2=80=9D run to
completion?

Thank you,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#33312; Package guix. Full text available.

Message received at 33312 <at> debbugs.gnu.org:


Received: (at 33312) by debbugs.gnu.org; 11 Nov 2018 20:00:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 11 15:00:14 2018
Received: from localhost ([127.0.0.1]:46777 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gLvu0-00057O-Pa
	for submit <at> debbugs.gnu.org; Sun, 11 Nov 2018 15:00:14 -0500
Received: from mx1.riseup.net ([198.252.153.129]:33576)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swedebugia@HIDDEN>) id 1gLvtz-00057H-Ez
 for 33312 <at> debbugs.gnu.org; Sun, 11 Nov 2018 15:00:11 -0500
Received: from piha.riseup.net (piha-pn.riseup.net [10.0.1.163])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 9B0331A0458;
 Sun, 11 Nov 2018 12:00:10 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1541966410; bh=ugaUE2Q844liUK2XhpNwzqIQR9KCE+POK8iNQbUzAoQ=;
 h=Subject:To:Cc:References:From:Date:In-Reply-To:From;
 b=eU3CgRe78DPpfl0ZrOlM+kBrJrmkUuZ9jQMv/uJEfJRCrQTm4pM1TR135irwJ5klJ
 0XT7zxSbUZZDLQpX5vyEtC14r/As1eqW7o1rVZiz1eih0zowt1sMbCryormSm41m/3
 w6CBgIzaY9zkTHpoozn6hTMj5IiADqXJdJj1sbcg=
X-Riseup-User-ID: 30920655BE73C01CDB9A5195A43AD49EBB03B735F5F4DA34E70D6DB5D0CB6019
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by piha.riseup.net with ESMTPSA id 8FDE965ED9;
 Sun, 11 Nov 2018 12:00:09 -0800 (PST)
Subject: Re: bug#33312: Guix: many tests fail when building on 0.15
To: =?UTF-8?Q?Ludovic_Court=c3=a8s?= <ludo@HIDDEN>
References: <75956247-307c-1594-4589-f5685619a4eb@HIDDEN>
 <87ftw7sitl.fsf@HIDDEN>
From: swedebugia <swedebugia@HIDDEN>
Message-ID: <d5559178-49f8-9e2d-b993-cb42ffe76721@HIDDEN>
Date: Sun, 11 Nov 2018 21:00:06 +0100
MIME-Version: 1.0
In-Reply-To: <87ftw7sitl.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33312
Cc: 33312 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On 2018-11-11 17:03, Ludovic Courtès wrote:
> Hello,
> 
> swedebugia <swedebugia@HIDDEN> skribis:
> 
>> running make check I got a lot of failed tests and no testlog:
> 
> Could you send ‘test-suite.log’ as noted in
> <https://gnu.org/software/guix/manual/en/html_node/Running-the-Test-Suite.html>?
> 
> TIA,
> Ludo’.
> 
It is not found. Not generated.
Dunno why.
I run "make check" and it only gave me what I already sent.

-- 
Cheers
Swedebugia




Information forwarded to bug-guix@HIDDEN:
bug#33312; Package guix. Full text available.

Message received at 33312 <at> debbugs.gnu.org:


Received: (at 33312) by debbugs.gnu.org; 11 Nov 2018 16:03:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 11 11:03:11 2018
Received: from localhost ([127.0.0.1]:46594 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gLsCd-0001hh-MG
	for submit <at> debbugs.gnu.org; Sun, 11 Nov 2018 11:03:11 -0500
Received: from eggs.gnu.org ([208.118.235.92]:40960)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1gLsCc-0001hU-Fz
 for 33312 <at> debbugs.gnu.org; Sun, 11 Nov 2018 11:03:10 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1gLsCW-00031e-LM
 for 33312 <at> debbugs.gnu.org; Sun, 11 Nov 2018 11:03:05 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:49568)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1gLsCW-00031a-HZ; Sun, 11 Nov 2018 11:03:04 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=37342 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1gLsCW-00012h-AM; Sun, 11 Nov 2018 11:03:04 -0500
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: swedebugia <swedebugia@HIDDEN>
Subject: Re: bug#33312: Guix: many tests fail when building on 0.15
References: <75956247-307c-1594-4589-f5685619a4eb@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 21 Brumaire an 227 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Sun, 11 Nov 2018 17:03:02 +0100
In-Reply-To: <75956247-307c-1594-4589-f5685619a4eb@HIDDEN> (swedebugia's
 message of "Thu, 8 Nov 2018 11:07:25 +0100")
Message-ID: <87ftw7sitl.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33312
Cc: 33312 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Hello,

swedebugia <swedebugia@HIDDEN> skribis:

> running make check I got a lot of failed tests and no testlog:

Could you send =E2=80=98test-suite.log=E2=80=99 as noted in
<https://gnu.org/software/guix/manual/en/html_node/Running-the-Test-Suite.h=
tml>?

TIA,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#33312; Package guix. Full text available.

Message received at 33312 <at> debbugs.gnu.org:


Received: (at 33312) by debbugs.gnu.org; 8 Nov 2018 10:41:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 08 05:41:57 2018
Received: from localhost ([127.0.0.1]:40338 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gKhl7-00054j-74
	for submit <at> debbugs.gnu.org; Thu, 08 Nov 2018 05:41:57 -0500
Received: from mx1.riseup.net ([198.252.153.129]:38275)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swedebugia@HIDDEN>) id 1gKhl6-00054c-80
 for 33312 <at> debbugs.gnu.org; Thu, 08 Nov 2018 05:41:56 -0500
Received: from cotinga.riseup.net (cotinga-pn.riseup.net [10.0.1.164])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 8807D1A09DF
 for <33312 <at> debbugs.gnu.org>; Thu,  8 Nov 2018 02:41:55 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1541673715; bh=Gq74olFgkE+0aKLaLwzqzQydMM+3X3xgaHgbie+LHgA=;
 h=Subject:From:To:References:Date:In-Reply-To:From;
 b=bxIMujskmfw+pH83pWgB16BAeLuMcCoBI8R7MHtiOVPpUm4SiwN2qmtL8TuAeoX+d
 3SqdyJ09DA+hKg87mEyYarWpOWkGRXtsqVS/07vU48lv8kK03KIC9YsvIBA7y3yloW
 8yckFi41xDsRQD30HQPOhdIPacWN8G2EU9Cyj5hg=
X-Riseup-User-ID: 2E3F575EF5DE606C9862485BA0266B19591E8AC99C93EE0584F01E2B4AF87E3F
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by cotinga.riseup.net with ESMTPSA id A9E25101E3F
 for <33312 <at> debbugs.gnu.org>; Thu,  8 Nov 2018 02:41:54 -0800 (PST)
Subject: Re: bug#33312: Guix: many tests fail when building on 0.15
From: swedebugia <swedebugia@HIDDEN>
To: 33312 <at> debbugs.gnu.org
References: <75956247-307c-1594-4589-f5685619a4eb@HIDDEN>
Message-ID: <60709f3d-afd4-f7bd-acd2-45acf8ed61e4@HIDDEN>
Date: Thu, 8 Nov 2018 11:41:52 +0100
MIME-Version: 1.0
In-Reply-To: <75956247-307c-1594-4589-f5685619a4eb@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 8bit
Content-Language: en-US
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33312
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On 2018-11-08 11:07, swedebugia wrote:
> Hi
>
> I want to contribute to guix with patches and at the same time keep my 
> GuixSD on 0.15.
>
> To archive this I created and followed the following guide in GuixSD 
> in Qemu:
>
> https://gitlab.com/swedebugia/guix-notes/blob/master/BUILD.org
>
> Following it Guix 21335fdbec68b4cfb19d8a0ae0877ec81c84ad9c builds fine.
>
> BUT
>
> running make check I got a lot of failed tests and no testlog:
>
> make  check-recursive
> make[1]: Entering directory '/home/sdb/guix-tree'
> Making check in po/guix
> make[2]: Entering directory '/home/sdb/guix-tree/po/guix'
> make[2]: Leaving directory '/home/sdb/guix-tree/po/guix'
> Making check in po/packages
> make[2]: Entering directory '/home/sdb/guix-tree/po/packages'
> make[2]: Leaving directory '/home/sdb/guix-tree/po/packages'
> make[2]: Entering directory '/home/sdb/guix-tree'
> Compiling Scheme modules...
> make  check-TESTS check-local
> make[3]: Entering directory '/home/sdb/guix-tree'
> make[4]: Entering directory '/home/sdb/guix-tree'
> PASS: tests/base16.scm
> SKIP: tests/base32.scm
> PASS: tests/base64.scm
> SKIP: tests/cpio.scm
> PASS: tests/pki.scm
> PASS: tests/print.scm
> PASS: tests/sets.scm
> PASS: tests/modules.scm
> PASS: tests/gnu-maintenance.scm
> PASS: tests/substitute.scm
> FAIL: tests/builders.scm
> FAIL: tests/derivations.scm
> PASS: tests/glob.scm
> FAIL: tests/grafts.scm
> FAIL: tests/ui.scm
> PASS: tests/status.scm
> PASS: tests/records.scm
> FAIL: tests/processes.scm
> PASS: tests/upstream.scm
> PASS: tests/combinators.scm
> PASS: tests/discovery.scm
> PASS: tests/utils.scm
> PASS: tests/build-utils.scm
> FAIL: tests/packages.scm
> SKIP: tests/snix.scm
> FAIL: tests/hackage.scm
> FAIL: tests/cran.scm
> FAIL: tests/elpa.scm
> FAIL: tests/texlive.scm
> FAIL: tests/store.scm
> FAIL: tests/monads.scm
> make[4]: Leaving directory '/home/sdb/guix-tree'
> make[3]: Leaving directory '/home/sdb/guix-tree'
> make[2]: Leaving directory '/home/sdb/guix-tree'
> make[1]: Leaving directory '/home/sdb/guix-tree'
>
Dependencies:

$ guile --version |head -1 && guix --version|head -1 && gcc 
--version|head -1 && echo -n "libgcrypt " && libgcrypt-config --version 
&& make --version|head -1
guile (GNU Guile) 2.2.4
guix (GNU Guix) 1f44934fb6e2cefccbecd4fa347025349fa9ff76
gcc (GCC) 8.1.0
libgcrypt 1.8.2
GNU Make 4.2.1

-- 
Cheers
Swedebugia





Information forwarded to bug-guix@HIDDEN:
bug#33312; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Nov 2018 10:22:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 08 05:22:49 2018
Received: from localhost ([127.0.0.1]:40332 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gKhSb-0004c5-EL
	for submit <at> debbugs.gnu.org; Thu, 08 Nov 2018 05:22:49 -0500
Received: from eggs.gnu.org ([208.118.235.92]:59179)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swedebugia@HIDDEN>) id 1gKhSY-0004bs-VY
 for submit <at> debbugs.gnu.org; Thu, 08 Nov 2018 05:22:47 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <swedebugia@HIDDEN>) id 1gKhSN-0006Oc-7I
 for submit <at> debbugs.gnu.org; Thu, 08 Nov 2018 05:22:40 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:49927)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <swedebugia@HIDDEN>)
 id 1gKhS9-00063X-Ur
 for submit <at> debbugs.gnu.org; Thu, 08 Nov 2018 05:22:25 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:39732)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <swedebugia@HIDDEN>) id 1gKhS5-0004Xl-Aj
 for bug-guix@HIDDEN; Thu, 08 Nov 2018 05:22:21 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <swedebugia@HIDDEN>) id 1gKhE1-0002iX-2u
 for bug-guix@HIDDEN; Thu, 08 Nov 2018 05:07:48 -0500
Received: from mx1.riseup.net ([198.252.153.129]:49890)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <swedebugia@HIDDEN>)
 id 1gKhDs-0002NO-Vs
 for bug-guix@HIDDEN; Thu, 08 Nov 2018 05:07:39 -0500
Received: from cotinga.riseup.net (cotinga-pn.riseup.net [10.0.1.164])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 3E7BF1A042B
 for <bug-guix@HIDDEN>; Thu,  8 Nov 2018 02:07:29 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1541671649; bh=MxvI7Rcsf0dJmWenoz3ZNvkiaSpKqs3LY7/+Ky+8Hkc=;
 h=To:From:Subject:Date:From;
 b=H2w+5FIkFQ47kfDV2VzfIjanCNikh6fiu7WzrBsaZhnU/0lDDZGZk2edFN3nOp5HL
 7/rNumNbFFfKgWwnJ4F8zhwZSyk2qWOtNMxnB9ACQ8Y4VHhRq645Q1u464dtBfWlW5
 NP22Km/KPO/DA7ryWIHU7hIPd+GDAN0T+oS1gQEI=
X-Riseup-User-ID: E83996AC749096E793719C520CF25C4C5E845BD340BA9F84D0A889408EFAC66A
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by cotinga.riseup.net with ESMTPSA id A729A101E04
 for <bug-guix@HIDDEN>; Thu,  8 Nov 2018 02:07:28 -0800 (PST)
To: bug-guix@HIDDEN
From: swedebugia <swedebugia@HIDDEN>
Subject: Guix: many tests fail when building on 0.15
Message-ID: <75956247-307c-1594-4589-f5685619a4eb@HIDDEN>
Date: Thu, 8 Nov 2018 11:07:25 +0100
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.1 (-----)

Hi

I want to contribute to guix with patches and at the same time keep my=20
GuixSD on 0.15.

To archive this I created and followed the following guide in GuixSD in=20
Qemu:

https://gitlab.com/swedebugia/guix-notes/blob/master/BUILD.org

Following it Guix 21335fdbec68b4cfb19d8a0ae0877ec81c84ad9c builds fine.

BUT

running make check I got a lot of failed tests and no testlog:

make=C2=A0 check-recursive
make[1]: Entering directory '/home/sdb/guix-tree'
Making check in po/guix
make[2]: Entering directory '/home/sdb/guix-tree/po/guix'
make[2]: Leaving directory '/home/sdb/guix-tree/po/guix'
Making check in po/packages
make[2]: Entering directory '/home/sdb/guix-tree/po/packages'
make[2]: Leaving directory '/home/sdb/guix-tree/po/packages'
make[2]: Entering directory '/home/sdb/guix-tree'
Compiling Scheme modules...
make=C2=A0 check-TESTS check-local
make[3]: Entering directory '/home/sdb/guix-tree'
make[4]: Entering directory '/home/sdb/guix-tree'
PASS: tests/base16.scm
SKIP: tests/base32.scm
PASS: tests/base64.scm
SKIP: tests/cpio.scm
PASS: tests/pki.scm
PASS: tests/print.scm
PASS: tests/sets.scm
PASS: tests/modules.scm
PASS: tests/gnu-maintenance.scm
PASS: tests/substitute.scm
FAIL: tests/builders.scm
FAIL: tests/derivations.scm
PASS: tests/glob.scm
FAIL: tests/grafts.scm
FAIL: tests/ui.scm
PASS: tests/status.scm
PASS: tests/records.scm
FAIL: tests/processes.scm
PASS: tests/upstream.scm
PASS: tests/combinators.scm
PASS: tests/discovery.scm
PASS: tests/utils.scm
PASS: tests/build-utils.scm
FAIL: tests/packages.scm
SKIP: tests/snix.scm
FAIL: tests/hackage.scm
FAIL: tests/cran.scm
FAIL: tests/elpa.scm
FAIL: tests/texlive.scm
FAIL: tests/store.scm
FAIL: tests/monads.scm
make[4]: Leaving directory '/home/sdb/guix-tree'
make[3]: Leaving directory '/home/sdb/guix-tree'
make[2]: Leaving directory '/home/sdb/guix-tree'
make[1]: Leaving directory '/home/sdb/guix-tree'

--=20
Cheers
Swedebugia





Acknowledgement sent to swedebugia <swedebugia@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#33312; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 14 Nov 2018 10:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.